/*
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package macampcorp.macamp.ui;

import android.content.Context;
import android.content.Intent;
import android.graphics.Color;
import android.graphics.Typeface;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.List;

import macampcorp.macamp.utils.AndroidResources;
import macampcorp.macamp.game.Resource;


/**
 * Created by ptitcois on 22/08/16.
 */
public class ResourceArrayAdapter extends ArrayAdapter<Object> implements  AdapterView.OnItemClickListener{
    protected Context mContext;
    protected List<Object> mList;
    public ResourceArrayAdapter(Context context, int resource, List<Object> objects) {
        super(context, resource, objects);
        mContext=context;
        mList=objects;
    }

    @Override
    public View getView(int position, View convertView,
                        ViewGroup parent) {
        View view =super.getView(position, convertView, parent);

        TextView textView=(TextView) view.findViewById(android.R.id.text1);

            /*YOUR CHOICE OF COLOR*/
        //textView.setTextColor(Color.rgb(0x33, 0xb5, 0xe5));

        if(mList.get(position) instanceof String){
            textView.setTextSize(30);
            textView.setTypeface(null, Typeface.BOLD);
        }else{
            textView.setTextSize(15);
            textView.setTypeface(null, Typeface.NORMAL);
        }


        return view;
    }

    @Override
    public void onItemClick(AdapterView<?> adapterView, View view, int i, long l) {
        if (adapterView.getItemAtPosition(i) instanceof Resource) {
            Resource item = (Resource) adapterView.getItemAtPosition(i);

            Intent intent = AndroidResources.getViewerIntent(mContext, item);
            mContext.startActivity(intent);

        }else if(adapterView.getItemAtPosition(i) instanceof String)
        {

        }
    }
}

